Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class Listener

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.Listener

    public class Listener

extends Object

Listener

Constructor Summary
`Listener()`

Method Summary
`Integer` | `getInstancePort()` Returns the value of the InstancePort property for this object.
`Integer` | `getLoadBalancerPort()` Returns the value of the LoadBalancerPort property for this object.
`String` | `getProtocol()` Returns the value of the Protocol property for this object.
`void` | `setInstancePort(Integer instancePort)` Sets the value of the InstancePort property for this object.
`void` | `setLoadBalancerPort(Integer loadBalancerPort)` Sets the value of the LoadBalancerPort property for this object.
`void` | `setProtocol(String protocol)` Sets the value of the Protocol property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Listener` | `withInstancePort(Integer instancePort)` Sets the value of the InstancePort property for this object.
`Listener` | `withLoadBalancerPort(Integer loadBalancerPort)` Sets the value of the LoadBalancerPort property for this object.
`Listener` | `withProtocol(String protocol)` Sets the value of the Protocol property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Listener

    public Listener()

Method Detail

### getProtocol

    public String getProtocol()

  Returns the value of the Protocol property for this object.

  Returns:
    The value of the Protocol property for this object.

### setProtocol

    public void setProtocol(String protocol)

  Sets the value of the Protocol property for this object.

  Parameters:
    `protocol` - The new value for the Protocol property for this object.

### withProtocol

    public Listener withProtocol(String protocol)

  Sets the value of the Protocol property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `protocol` - The new value for the Protocol property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLoadBalancerPort

    public Integer getLoadBalancerPort()

  Returns the value of the LoadBalancerPort property for this object.

  Returns:
    The value of the LoadBalancerPort property for this object.

### setLoadBalancerPort

    public void setLoadBalancerPort(Integer loadBalancerPort)

  Sets the value of the LoadBalancerPort property for this object.

  Parameters:
    `loadBalancerPort` - The new value for the LoadBalancerPort property for this object.

### withLoadBalancerPort

    public Listener withLoadBalancerPort(Integer loadBalancerPort)

  Sets the value of the LoadBalancerPort property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerPort` - The new value for the LoadBalancerPort property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstancePort

    public Integer getInstancePort()

  Returns the value of the InstancePort property for this object.

  Constraints:
  Range: 1 - 65535

  Returns:
    The value of the InstancePort property for this object.

### setInstancePort

    public void setInstancePort(Integer instancePort)

  Sets the value of the InstancePort property for this object.

  Constraints:
  Range: 1 - 65535

  Parameters:
    `instancePort` - The new value for the InstancePort property for this object.

### withInstancePort

    public Listener withInstancePort(Integer instancePort)

  Sets the value of the InstancePort property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Range: 1 - 65535

  Parameters:
    `instancePort` - The new value for the InstancePort property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.